import java.io.File;
import java.io.FileFilter;

public class MoviesAndImagesFilter implements FileFilter {

	public boolean accept(File pathname) {
		if (pathname.isDirectory()) return false;
		String name = pathname.getName();
		return isMovie(name) || isImage(name);
	}
	
	public static boolean isMovie(String name) {
		//System.out.println("in isMovie() : "+name);
		int dot = name.lastIndexOf('.');
		if (dot == -1) return false;
		String ext = name.substring(dot).toLowerCase();
		return ext.equals(".mov") || ext.equals(".mpeg") || ext.equals(".mpg");
	}
	public static boolean isImage(String name) {
		//System.out.println("in isImage() : "+name);
		int dot = name.lastIndexOf('.');
		if (dot == -1) return false;
		String ext = name.substring(dot).toLowerCase();
		return ext.equals(".jpg") || ext.equals(".jpeg") || ext.equals(".png");
	}

}
